Update a Manual Hold
curl --request PATCH \
--url https://api.treasuryprime.com/hold/{id} \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--data '
{
"status": "released"
}
'import requests
url = "https://api.treasuryprime.com/hold/{id}"
payload = { "status": "released" }
headers = {
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Basic <encoded-value>', 'Content-Type': 'application/json'},
body: JSON.stringify({status: 'released'})
};
fetch('https://api.treasuryprime.com/hold/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"account_id": "acct_1234567890",
"amount": "10.00",
"bank_id": "bank_treasuryprime",
"expires_at": "2023-11-09T22:39:48Z",
"hold_description": "Hold description",
"hold_release_description": "Released description",
"hold_transaction_id": "ttx_1234567890",
"id": "mhold_1234567890",
"org_id": "org_fintech",
"release_transaction_id": "ttx_9876543210",
"status": "released"
}Manual Hold
Update a Manual Hold
PATCH
/
hold
/
{id}
Update a Manual Hold
Authorizations
basicAuthapiKey
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Path Parameters
Unique identifier for object
Body
application/json
The manual_hold to update
Response
200 - application/json
The manual_hold updated
ID of the Account to place the hold. Filterable.
Amount of money to hold, with two decimal precision
Pattern:
^[0-9]+[.][0-9][0-9]$ID of the bank with which the object is associated
Optional timestamp to expire the hold
Optional description for the hold transaction
Optional description for the hold release transaction
ID of the hold transaction
Unique identifier for object
ID of the organization with which the object is associated
ID of the hold release transaction
Status of the hold, one of active, released, or expired. Filterable.
Was this page helpful?